# DXGfxLib.AABBox Class Reference

AABBox stand for axis aligned bounding box. This is means a bouding box which remain aligned with world space axis. In some situation this can become a very coarse approximation of an ideal bounding volume. For efficiency reason the scene graph perform only on AABBox this is more efficient to build bounding volume from children. As the scene graph uses these information only to reject portion of the graph when we are sure the are out of the viewing frustrum or to perform a first selection of node potentially colliding with another box or a ray, having big bounding volume is not that bad. More...

Inherits DXGfxLib::BBox, and DXGfxLib::BBox.

Collaboration diagram for DXGfxLib.AABBox:

[legend]

List of all members.

## Public Member Functions
| AABBox ()
| Default constructor. See remarks for BBox default constructor.
| AABBox (BBox bbox)
| This build an AABBox around an existing bbox which might not be an AABBox itself.
| AABBox (BBox bbox, Vector3 v)
| Build an AABBox around a BBox extruded along a vector v.
| AABBox (BBox bbox, Vector3 v, float f)
| Same as above except that the vector is used as a direction, its length will be scaled by f.
| AABBox (float ExtendX, float ExtendY, float ExtendZ)
bool | Collide (AABBox aabb)
| This method can be used to check if an aabbox overlap with the aabbox on which the method is called.
bool | IsInside (AABBox bbox)
| Check if the aabbox passed as a parameter is completely inside the aabbox on which this method is called. Can be interesting to know in some scenarios.
AABBox | BoxFromBoxes (AABBox bbox2)
| Same as above except the AABBox on which we do call this method will encompass space the previous space and the space define by the other AABBox...
| AABBox ()
| Default constructor. See remarks for BBox default constructor.
| AABBox (BBox bbox)
| This build an AABBox around an existing bbox which might not be an AABBox itself.
| AABBox (BBox bbox, Vector3 v)
| Build an AABBox around a BBox extruded along a vector v.
| AABBox (BBox bbox, Vector3 v, float f)
| Same as above except that the vector is used as a direction, its length will be scaled by f.
| AABBox (float ExtendX, float ExtendY, float ExtendZ)
bool | Collide (AABBox aabb)
| This method can be used to check if an aabbox overlap with the aabbox on which the method is called.
bool | IsInside (AABBox bbox)
| Check if the aabbox passed as a parameter is completely inside the aabbox on which this method is called. Can be interesting to know in some scenarios.
AABBox | BoxFromBoxes (AABBox bbox2)
| Same as above except the AABBox on which we do call this method will encompass space the previous space and the space define by the other AABBox...
## Static Public Member Functions
static AABBox | BoxFromBoxes (AABBox bbox1, AABBox bbox2)
| This method build an aabbox from two aabbox. The resulting aabbox contains the two aabboxes passed as parameter.
static AABBox | CalculateLocalBBox (Mesh meshToUse)
| This static method creates a AABBox containing the Mesh passed as a parameter.
static AABBox | BoxFromBoxes (AABBox bbox1, AABBox bbox2)
| This method build an aabbox from two aabbox. The resulting aabbox contains the two aabboxes passed as parameter.
static AABBox | CalculateLocalBBox (Mesh meshToUse)
| This static method creates a AABBox containing the Mesh passed as a parameter.

## Detailed Description

AABBox stand for axis aligned bounding box. This is means a bouding box which remain aligned with world space axis. In some situation this can become a very coarse approximation of an ideal bounding volume. For efficiency reason the scene graph perform only on AABBox this is more efficient to build bounding volume from children. As the scene graph uses these information only to reject portion of the graph when we are sure the are out of the viewing frustrum or to perform a first selection of node potentially colliding with another box or a ray, having big bounding volume is not that bad.

Definition at line 321 of file MathUtil.cs.

## Constructor & Destructor Documentation

DXGfxLib.AABBox.AABBox | ( |  | ) |

Default constructor. See remarks for BBox default constructor.

Definition at line 326 of file MathUtil.cs.

Here is the caller graph for this function:

DXGfxLib.AABBox.AABBox | ( | BBox | bbox | ) |

This build an AABBox around an existing bbox which might not be an AABBox itself.

Parameters:

  | bbox |

Definition at line 334 of file MathUtil.cs.

Here is the call graph for this function:

DXGfxLib.AABBox.AABBox | ( | BBox | bbox,
|  | Vector3 | v |
| ) |  |  |

Build an AABBox around a BBox extruded along a vector v.

Parameters:

  | bbox |
  | v |

Definition at line 370 of file MathUtil.cs.

Here is the call graph for this function:

DXGfxLib.AABBox.AABBox | ( | BBox | bbox,
|  | Vector3 | v,
|  | float | f |
| ) |  |  |

Same as above except that the vector is used as a direction, its length will be scaled by f.

Parameters:

  | bbox |
  | v |
  | f |

Definition at line 431 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( | float | ExtendX,
|  | float | ExtendY,
|  | float | ExtendZ |
| ) |  |  |

Definition at line 436 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( |  | ) |

Default constructor. See remarks for BBox default constructor.

Definition at line 326 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( | BBox | bbox | ) |

This build an AABBox around an existing bbox which might not be an AABBox itself.

Parameters:

  | bbox |

Definition at line 334 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( | BBox | bbox,
|  | Vector3 | v |
| ) |  |  |

Build an AABBox around a BBox extruded along a vector v.

Parameters:

  | bbox |
  | v |

Definition at line 370 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( | BBox | bbox,
|  | Vector3 | v,
|  | float | f |
| ) |  |  |

Same as above except that the vector is used as a direction, its length will be scaled by f.

Parameters:

  | bbox |
  | v |
  | f |

Definition at line 431 of file MathUtil.cs.

DXGfxLib.AABBox.AABBox | ( | float | ExtendX,
|  | float | ExtendY,
|  | float | ExtendZ |
| ) |  |  |

Definition at line 436 of file MathUtil.cs.

## Member Function Documentation

AABBox DXGfxLib.AABBox.BoxFromBoxes | ( | AABBox | bbox2 | ) |

Same as above except the AABBox on which we do call this method will encompass space the previous space and the space define by the other AABBox...

Parameters:

  | bbox2 |

Returns:

Definition at line 530 of file MathUtil.cs.

static AABBox DXGfxLib.AABBox.BoxFromBoxes | ( | AABBox | bbox1,
|  | AABBox | bbox2 |
| ) |  |  | `[static]`

This method build an aabbox from two aabbox. The resulting aabbox contains the two aabboxes passed as parameter.

Parameters:

  | bbox1 |
  | bbox2 |

Returns:

Definition at line 509 of file MathUtil.cs.

Here is the call graph for this function:

AABBox DXGfxLib.AABBox.BoxFromBoxes | ( | AABBox | bbox2 | ) |

Same as above except the AABBox on which we do call this method will encompass space the previous space and the space define by the other AABBox...

Parameters:

  | bbox2 |

Returns:

Definition at line 530 of file MathUtil.cs.

static AABBox DXGfxLib.AABBox.BoxFromBoxes | ( | AABBox | bbox1,
|  | AABBox | bbox2 |
| ) |  |  | `[static]`

This method build an aabbox from two aabbox. The resulting aabbox contains the two aabboxes passed as parameter.

Parameters:

  | bbox1 |
  | bbox2 |

Returns:

Definition at line 509 of file MathUtil.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

static AABBox DXGfxLib.AABBox.CalculateLocalBBox | ( | Mesh | meshToUse | ) | `[static]`

This static method creates a AABBox containing the Mesh passed as a parameter.

Parameters:

  | meshToUse |

Returns:

Definition at line 548 of file MathUtil.cs.

Here is the call graph for this function:

static AABBox DXGfxLib.AABBox.CalculateLocalBBox | ( | Mesh | meshToUse | ) | `[static]`

This static method creates a AABBox containing the Mesh passed as a parameter.

Parameters:

  | meshToUse |

Returns:

Definition at line 548 of file MathUtil.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

bool DXGfxLib.AABBox.Collide | ( | AABBox | aabb | ) |

This method can be used to check if an aabbox overlap with the aabbox on which the method is called.

Parameters:

  | aabb |

Returns:
  The method return true if the two aabbox do overlap!

Definition at line 452 of file MathUtil.cs.

bool DXGfxLib.AABBox.Collide | ( | AABBox | aabb | ) |

This method can be used to check if an aabbox overlap with the aabbox on which the method is called.

Parameters:

  | aabb |

Returns:
  The method return true if the two aabbox do overlap!

Definition at line 452 of file MathUtil.cs.

Here is the caller graph for this function:

bool DXGfxLib.AABBox.IsInside | ( | AABBox | bbox | ) |

Check if the aabbox passed as a parameter is completely inside the aabbox on which this method is called. Can be interesting to know in some scenarios.

Parameters:

  | bbox |

Returns:
  The method does return true if the aabbox passed as a parameter is completely inside.

Definition at line 480 of file MathUtil.cs.

bool DXGfxLib.AABBox.IsInside | ( | AABBox | bbox | ) |

Check if the aabbox passed as a parameter is completely inside the aabbox on which this method is called. Can be interesting to know in some scenarios.

Parameters:

  | bbox |

Returns:
  The method does return true if the aabbox passed as a parameter is completely inside.

Definition at line 480 of file MathUtil.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/MathUtil.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/MathUtil.cs